<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">

    <h:head>
        <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
        <title>Agenda</title>
        
        <h:outputScript library="js" name="primefaces-locale.js" />
        
    </h:head>    
    <h:body>
        <h:form>
            <p:growl id="messages" showDetail="true" />

            <p:schedule widgetVar="MeuCalendario" value="#{eventoBean.eventModel}" id="schEvento" timeZone="America/Sao_Paulo" locale="pt_BR" >   

                <p:ajax event="dateSelect" listener="#{eventoBean.onDateSelect}" update="eventDetails" oncomplete="PF('eventDialog').show();" />
                <p:ajax event="eventSelect" listener="#{eventoBean.onEventSelect}" update="eventDetails" oncomplete="PF('eventDialog').show();" />
                


            </p:schedule>


            <p:dialog widgetVar="eventDialog" header="Event Details" showEffect="clip" hideEffect="clip">
                <h:panelGrid id="eventDetails" columns="2">
                    <p:outputLabel for="title" value="Titles:" />
                    <p:inputText id="title" value="#{eventoBean.event.title}" required="true" />

                    <p:outputLabel for="from" value="From:" />
                    <p:calendar id="from" value="#{eventoBean.event.startDate}" timeZone="GMT+2" pattern="dd/MM/yyyy HH:mm"/>

                    <p:outputLabel for="to" value="To:" />
                    <p:calendar id="to" value="#{eventoBean.event.endDate}" timeZone="GMT+2" pattern="dd/MM/yyyy HH:mm"/>

                    <p:outputLabel for="allDay" value="All Day:" />
                    <h:selectBooleanCheckbox id="allDay" value="#{eventoBean.event.allDay}" />

                    <p:commandButton type="reset" value="Reset" />
                    <p:commandButton id="addButton" value="Save" actionListener="#{eventoBean.event.addEvent}" oncomplete="PF('myschedule'addEvent).update();PF('eventDialog').hide();" />
                </h:panelGrid>
            </p:dialog>    




        </h:form>  
     
</h:body>
    
    
    
    
</html>